<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Name: Voorschriftquery
Description: Deze query is bedoeld om selectiecriteria te specificeren voor het opvragen van medicatievoorschriften bij een voorschrijvend systeem. Het uitgangspunt is dat één of meer criteria worden benoemd waarop een voorschrijvend systeem een selectie moet kunnen maken uit de binnen het systeem gegenereerde en vastgelegde voorschriften. In de context van AORTA is de
                parameter op basis van patiëntnummer verplicht. 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000">
   <title>Voorschriftquery</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /
Item: (MedicationCombinedOrderQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL
Item: (MedicationCombinedOrderQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess
Item: (MedicationCombinedOrderQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-438c37ca-8bba-4841-a503-18a530ba01a6">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:administrationRequestEffectiveTimeInterval)&lt;=1">(MedicationCombinedOrderQuery): element hl7:administrationRequestEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:medicationCombinedOrderID)&lt;=1">(MedicationCombinedOrderQuery): element hl7:medicationCombinedOrderID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:patientID)&gt;=1 and not(hl7:patientID/@nullFlavor)">(MedicationCombinedOrderQuery): element hl7:patientID is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:patientID)&lt;=1">(MedicationCombinedOrderQuery): element hl7:patientID komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval"
         id="tmp-r-a97badc0-95f6-4641-88bd-315a2d2ddced">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationCombinedOrderQuery): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval/hl7:value
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval/hl7:value"
         id="tmp-r-b91e0d98-bf04-475c-9dfc-c0df49b2e002">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:medicationCombinedOrderID
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:medicationCombinedOrderID"
         id="tmp-r-fcf45983-e74d-4d3c-83c7-910bef2c3f4a">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationCombinedOrderQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationCombinedOrderQuery): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:medicationCombinedOrderID/hl7:value
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:medicationCombinedOrderID/hl7:value"
         id="tmp-r-980b09d9-6173-49f3-a43f-86cbce3cc2e4">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID"
         id="tmp-r-900f534f-47e8-4b46-a165-a5f96443ff48">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationCombinedOrderQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationCombinedOrderQuery): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.3
Context: /hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value
Item: (MedicationCombinedOrderQuery)
-->

   <rule context="/hl7:QURX_MT990001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value"
         id="tmp-r-bbd53df9-b85a-493f-a7bd-ba01a7075ee7">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.3-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCombinedOrderQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
